Ticket #17228

UTF-8で4バイトになる文字の取り扱い

Open Date: 2009-06-08 18:12 Last Update: 2019-02-18 13:10

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
7
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 1
100.0% (1/1)
0.0% (0/1)

Details

現状のTera TermのUTF-8対応では3バイトまでの文字しかデコードできない。 4バイトの文字は最初の3バイトでデコードしようとし、残った1バイトをゴミとして表示する。 Unicodeとしては不正であるが、5~6バイトの文字も同様。

4バイト以上の文字は現状のTera Termでは表示できないが、デコードだけでも正しく行うべき。

Ticket History (3/11 Histories)

2009-06-08 18:12 Updated by: doda
  • New Ticket "UTF-8で4バイトになる文字の取り扱い" created
2009-06-09 00:11 Updated by: doda
  • Owner Update from (None) to doda
2009-06-18 02:30 Updated by: doda
  • Resolution Update from None to Accepted
2017-08-30 21:24 Updated by: doda
2017-11-30 07:36 Updated by: maya
2018-09-01 09:01 Updated by: None
2018-12-01 09:01 Updated by: None
2019-02-18 13:10 Updated by: doda
  • Status Update from Open to Closed
  • Owner Update from doda to zmatsuo
  • Resolution Update from Accepted to Fixed
Comment

r7430 でとりあえず修正が入ったので一旦クローズ。

この実装 を使うかは別途検討。(と言ってきっと忘れる)

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login